Extending Qt Creator Manual | KeywordsCompletionAssistProvider

Extending Qt Creator Manual 4.5.2

# KeywordsCompletionAssistProvider Class

(TextEditor::KeywordsCompletionAssistProvider)

Inherits: | TextEditor::CompletionAssistProvider

- List of all members, including inherited members

## Public Functions

| KeywordsCompletionAssistProvider(const Keywords &keyWords = Keywords(), const QString &snippetGroup = QString( Constants::TEXT_SNIPPET_GROUP_ID ))

## Reimplemented Public Functions

virtual IAssistProcessor * | createProcessor() const override
virtual RunType | runType() const override

- 4 public functions inherited from TextEditor::CompletionAssistProvider
- 2 public functions inherited from TextEditor::IAssistProvider

## Member Function Documentation

### KeywordsCompletionAssistProvider::KeywordsCompletionAssistProvider(const Keywords &keyWords = Keywords(), const QString &snippetGroup = QString( Constants::TEXT_SNIPPET_GROUP_ID ))

Default constructs an instance of KeywordsCompletionAssistProvider.

### `[override virtual]` IAssistProcessor *KeywordsCompletionAssistProvider::createProcessor() const

### `[override virtual]` RunType KeywordsCompletionAssistProvider::runType() const